/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;

/**
 * 传送到顶部命令
 *
 * @author 蒋天蓓
 *         2015年8月12日下午2:04:05
 *
 */
public class CommandPing extends BaseCommand {
	SimpleEssential plugin;

	/**
	 * @param name
	 */
	public CommandPing(final SimpleEssential main) {
		super("ping");
		this.plugin = main;
		setDescription("检测网络延时");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		sender.sendMessage(I18n.p("Ping"));
	}
}
