/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;

/**
 * 设置家的命令
 *
 * @author 蒋天蓓 2015年8月12日下午2:04:05
 */
public class CommandSetHome extends BaseCommand {
	SimpleEssential plugin;

	public CommandSetHome(final SimpleEssential main) {
		super("sethome", "essethome");
		this.plugin = main;
		setOnlyPlayerExecutable();
		setDescription("设置家");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player p = (Player) sender;
		final Block b = p.getLocation().getBlock();
		if (b.getType() == Material.BED_BLOCK) {
			p.setBedSpawnLocation(b.getLocation(), true);
			p.sendMessage(I18n.p("Teleport.sethomesuccess"));
		} else {
			p.sendMessage(I18n.p("Teleport.sethomeerror"));
		}
	};
}
