/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;

/**
 * 传送到顶部命令
 *
 * @author 蒋天蓓
 *         2015年8月12日下午2:04:05
 *
 */
public class CommandTop extends BaseCommand {
	SimpleEssential plugin;

	/**
	 * @param name
	 */
	public CommandTop(final SimpleEssential main) {
		super("top", "estop");
		this.plugin = main;
		setOnlyPlayerExecutable();
		setDescription("传送到最高点");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player p = (Player) sender;
		final Location loc = p.getLocation();
		final int top = loc.getWorld().getHighestBlockYAt(loc);
		loc.setY(top);
		p.teleport(loc);
		p.sendMessage(I18n.p("Teleport.top"));
	}
}
