/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;
import cn.citycraft.SimpleEssential.teleport.TeleportType;

/**
 * 传送到玩家命令
 *
 * @author 蒋天蓓 2015年8月12日下午2:04:05
 */
public class CommandTphere extends BaseCommand {
	SimpleEssential plugin;

	public CommandTphere(final SimpleEssential main) {
		super("tphere", "tph");
		this.plugin = main;
		setOnlyPlayerExecutable();
		setDescription("邀请玩家");
		setMinimumArguments(1);
		setPossibleArguments("<目标玩家>");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player target = Bukkit.getPlayer(args[0]);
		if (target == null) {
			sender.sendMessage(I18n.p("Base.offline", args[0]));
			return;
		}
		plugin.tpcontrol.addtp((Player) sender, Bukkit.getPlayer(args[0]), TeleportType.TPH);
		sender.sendMessage(I18n.p("Teleport.tpsend"));
		target.sendMessage(new String[] { I18n.p("Teleport.tphere", sender.getName()), I18n.p("Teleport.tpaccept"), I18n.p("Teleport.tpdeny") });
	}
}
