/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;

/**
 * 传送回家的命令
 *
 * @author 蒋天蓓 2015年8月12日下午2:04:05
 */
public class CommandHome extends BaseCommand {
	SimpleEssential plugin;

	/**
	 * @param name
	 */
	public CommandHome(final SimpleEssential main) {
		super("home", "eshome");
		this.plugin = main;
		setOnlyPlayerExecutable();
		setDescription("传送回家");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player p = (Player) sender;
		final Location loc = p.getBedSpawnLocation();
		if (loc == null) {
			p.sendMessage(I18n.p("Teleport.homelose"));
			return;
		}
		plugin.tpcontrol.magicTeleport(p, loc);
	};
}
