/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;

/**
 * @author 蒋天蓓 2015年8月12日下午2:04:05
 */
public class CommandSetSpawn extends BaseCommand {
	SimpleEssential plugin;

	/**
	 * @param name
	 */
	public CommandSetSpawn(final SimpleEssential main) {
		super("setspawn", "sesetspawn");
		this.plugin = main;
		setOnlyPlayerExecutable();
		setDescription("设置出生点");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player p = (Player) sender;
		final Location loc = p.getLocation();
		p.getWorld().setSpawnLocation(loc.getBlockX(), loc.getBlockY(), loc.getBlockZ());
		p.sendMessage(I18n.p("Teleport.setspawn", p.getWorld().getName(), loc.getBlockX(), loc.getBlockY(), loc.getBlockZ()));
	}
}
